#!/bin/csh
#
#  Installs SOLVE and RESOLVE 
#     JB 3-May-2000, TT 29-July-2000; 19-Oct-2000; 08-Mar-2001; 20-Aug-2001
#
#  If you wish, edit these environmental variables for your own installation
#  BUT: don't make any of these a subdirectory of "./lib" or "./bin" (i.e.,
#        of lib or bin in the directory this file is in) or this
#        script will recursively make sub-sub-sub-sub directories until the disk
#        is full.
#  The path names for each directory must begin with a slash "/" or this won't work:
#
#
setenv SOLVEBINDIR /usr/local/bin     	   # binaries go here
setenv SOLVEDIR /usr/local/lib/solve/	   # libs go here
                                           # should match users $SOLVEDIR 
setenv browser netscape			   # path to your preferred browser
#
#  Usually you shouldn't edit below here 
#
#####################################################################################
#####################################################################################
#
echo " "
echo "Installing SOLVE and RESOLVE"
echo " "
echo "Installing SOLVE and RESOLVE binaries in ${SOLVEBINDIR}."
#
# test to make sure directory exists!
# 
 if  (! -d ${SOLVEBINDIR}  ) then 
    mkdir ${SOLVEBINDIR} 
 endif 
# Now test to make sure directory was created!
# 
 if  (! -d ${SOLVEBINDIR} )then
    echo "Sorry, could not create the directory " ${SOLVEBINDIR} 
    echo "Please create it, then try again\!" 
    echo " "
    exit
 endif
#
 rm -f ${SOLVEBINDIR}/resolve
 rm -f ${SOLVEBINDIR}/resolve_giant
 rm -f ${SOLVEBINDIR}/resolve_huge
 rm -f ${SOLVEBINDIR}/solve
 rm -f ${SOLVEBINDIR}/solve_giant
 rm -f ${SOLVEBINDIR}/solve_huge
cd bin
tar cf - . | (cd ${SOLVEBINDIR} ; tar -xof - )
cd ..

echo "Installing SOLVE and RESOLVE library files in ${SOLVEDIR}."
#
# test to make sure directory exists!
# 
 if  (! -d ${SOLVEDIR} )then
    mkdir ${SOLVEDIR} 
 endif
#
# Now test to make sure directory was created!
# 
 if  (! -d ${SOLVEDIR}  )then
    echo " " 
    echo "Sorry, could not create the directory " ${SOLVEDIR} 
    echo "Please create it, then try again \!" 
    echo " " 
    exit 
 endif 
#
cd lib
tar cf - . | (cd ${SOLVEDIR} ; tar -xof - )
cd ..
#
echo "Creating resolvehelp script in ${SOLVEBINDIR}"
cat > ${SOLVEBINDIR}/resolvehelp <<EOD
#!/bin/csh
$browser ${SOLVEDIR}/html/html_resolve/resolve_table_of_contents.htm &
EOD
chmod 755 ${SOLVEBINDIR}/resolvehelp

echo "Creating solvehelp script in ${SOLVEBINDIR}"
cat > ${SOLVEBINDIR}/solvehelp <<EOD
#!/bin/csh
$browser ${SOLVEDIR}/html/html_solve/manual/table-of-contents.html &
EOD
chmod 755 ${SOLVEBINDIR}/solvehelp

echo " "
echo "All done.  You can now run resolve or resolve_giant or resolve_huge."
echo "Same for solve solve_giant and solve_huge."
echo "The giant versions are for big unit cells; huge for really huge ones."
echo " "
echo "Note: on some machines you may need to have users use the "
echo "command unlimit to allow enough system resources."
echo "This can go in a .cshrc file "
echo " "
echo "For samples of how to run SOLVE and RESOLVE, "
echo "see the directory ${SOLVEDIR}/examples_solve and examples_resolve "
echo " "
echo "For help on running RESOLVE, type resolvehelp "
echo "For help on running SOLVE, type solvehelp "
echo " (these may not be active until you log in again) "
echo " "
echo "Please sure users have these environmental variables set:"
echo "in bash or ksh specify:"
echo "export CCP4_OPEN=UNKNOWN"
echo "export SYMOP=${SOLVEDIR}/symop.lib"
echo "export SOLVEDIR=${SOLVEDIR}"
echo " "
echo "in sh or csh specify:"
echo "setenv CCP4_OPEN UNKNOWN"
echo "setenv SYMOP ${SOLVEDIR}/symop.lib"
echo "setenv SOLVEDIR ${SOLVEDIR}"
echo " "
echo "End of SOLVE/RESOLVE installation."

